﻿using System;
using Wisej.Web;

namespace HighchartsSample
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            SetUs("Charts");
        }
        private void button2_Click(object sender, EventArgs e)
        {
            SetUs("Calendar");
        }

        private void SetUs(string selectedUS)
        {
            panelUS.Controls.Clear();
            UserControl objUserControl = null;
            panelUS.Dock = DockStyle.Fill;

            switch (selectedUS)
            {

                case "Calendar":
                    objUserControl = new UserControlCalendar();
                    break;
                case "Charts":
                    objUserControl = new ChartsUserControl();
                    break;

            }

            if (objUserControl != null)
            {
                objUserControl.Dock = DockStyle.Fill;
                panelUS.Size = objUserControl.Size;
                panelUS.Controls.Add(objUserControl);
            }
        }

     
    }
}
